Is DX11 the only reason Beam can't run on XP?

Discussion in 'General Discussion' started by PriusRepellent, Feb 2, 2020.

  1. PriusRepellent

    PriusRepellent
    Expand Collapse

    Joined:
    Mar 19, 2018
    Messages:
    354
    The reason I ask is because I want to know if XP could run BeamNG if DX11 support were to be added to it. If this is the only thing stopping it, then it MIGHT be possible to force it to work with some modding of the OS.

    P.S. yes I am slightly insane when it comes to trying things with operating systems. :p
     
  2. Dead_Mouse

    Dead_Mouse
    Expand Collapse

    Joined:
    Jun 27, 2016
    Messages:
    182
    im confused, they way your saying it is that xp needs dx11, if your wanting to run beamng on xp just use dx9 or 10 betas
     
  3. PriusRepellent

    PriusRepellent
    Expand Collapse

    Joined:
    Mar 19, 2018
    Messages:
    354
    I'm wanting to get the latest BeamNG running on XP if at all possible. If DX11 is the only thing stopping it, I might be able to work around that.
     
  4. Dead_Mouse

    Dead_Mouse
    Expand Collapse

    Joined:
    Jun 27, 2016
    Messages:
    182
    that should be the only thing, youve tried to run the exe on compatability mode i presume
     
  5. galaxynote2

    galaxynote2
    Expand Collapse

    Joined:
    Aug 18, 2013
    Messages:
    125
    You could try using WineD3D, which converts DX11 calls to OpenGL. AFAIK you only need to download it and place the DLLs in the main directory.
     
  6. SixSixSevenSeven

    SixSixSevenSeven
    Expand Collapse

    Joined:
    Sep 13, 2013
    Messages:
    6,968
    I know the game makes quite a few win32 API calls only added in 7. So no
     
  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice